/***************************************************************************
                          main.c  -  description
                             -------------------
    begin                : Tue Feb 6 2001
    copyright            : (C) 2001 by Felix Gertz
    email                : felix_gertz@das-fluppt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <glib.h>

#include "interface.h"
#include "support.h"
#include "pronews.h"
#include "statusbar.h"
#include "callbacks.h"

int main (int argc, char *argv[])
{
  GtkWidget *window2;
  GtkWidget *window1;

  gtk_set_locale ();
  gtk_init (&argc, &argv);

  first_time=first_start();	
	pronews_config_init();
	
  add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");
  add_pixmap_directory (PACKAGE_SOURCE_DIR "/pixmaps");

  window2 = create_window2 ();

  gtk_widget_show (window2);

  statusbar_refresh();

  if(onoff_status) news_refresh(NULL,NULL);

  if(first_time)
	{
		window1 = create_window1 ("Erster Start","File/OnOff zum online gehen.");
	  gtk_widget_show (window1);
	}
	
	gtk_timeout_add(akt_rate*1000,refresh_news_interval,NULL);

  gtk_main ();
  return 0;
}

